Anki Forums

Updated to Anki2.1.29 and not able to open Anki

After updating my Anki, I keep getting these error messages and can’t even open the desktop app

“An add-on you installed failed to load. If problems persist, please go to the Tools>Add-ons menu, and disable or delete the add-on.”

and

"Error during startup:
Traceback (most recent call last):
File “aqt/main.py”, line 104, in init
File “aqt/main.py”, line 160, in finish_ui_setup
File “aqt/toolbar.py”, line 50, in draw
File “/Users/______/Library/Application Support/Anki2/addons21/24411424/custom_shortcuts.py”, line 299, in cs_toolbarCenterLinks
return self._linkHTML(links)
AttributeError: ‘Toolbar’ object has no attribute ‘_linkHTML’

1 Like

As the error message says: An add-on you installed is causing the problem. judging from its code (24411424) it seems to be this add-on. It probably needs to be updated to work with Anki 2.1.29.

Just move its folder (24411424) out of the addons21 folder temporarily, or go back to a previous version if the add-on is important to your study.

1 Like

Hey Anh!
I’m not the best at technology, how do I revert back to an older version haha

on anki 2.1.29 go to File -> Switch Profile then click on Downgrade & Quit
now simply install an older version by double clicking on .exe file
here you can find latest stable releases (2.1.26 and 2.1.29)
if you need older versions, you can find them here

2 Likes

Hi!
I’m actually unable to open the desktop app to make this change.
I have a mac but is there another way I can access this file switch profile option?

what error do you get?

All I get are 3 popup errors that say
“An add-on you installed failed to load. If problems persist, please go to the Tools>Add-ons menu, and disable or delete the add-on.”
^ this one’s for my load balancer, Night Mode, and customize keyboard shortcuts

Than another popup error that says
"Error during startup:
Traceback (most recent call last):
File “aqt/main.py”, line 104, in init
File “aqt/main.py”, line 160, in finish_ui_setup
File “aqt/toolbar.py”, line 50, in draw
File “/Users/______/Library/Application Support/Anki2/addons21/24411424/custom_shortcuts.py”, line 299, in cs_toolbarCenterLinks
return self._linkHTML(links)
AttributeError: ‘Toolbar’ object has no attribute ‘_linkHTML’

After I click okay for each of the 4 popups, Anki closes itself. This is all happening before I even get to load into the application itself

oh, thought you had already installed previous version and were getting the json.decoder.JSONDecodeError: Expecting value: line 1 column 1 (char 0) error.


anyways, in your case:
to open anki you can hold down the shift key while starting anki.

2 Likes

OH MY GOSH YOU’RE A LIFESAVER!
I can’t thank you enough, I was straight up about to delete Anki in its entirety and start from scratch haha

note that if you don’t do what i said here before trying to downgarde, you won’t be able to open anki after installing the older version that you’re trying to use.

Gotcha!

If I dont end up downgrading, will I still be able to use the app or would I have to delete the add-ons?

not all of the add-ons, just the one that’s causing the error (customize keyboard shortcuts). and just disabling it would do. you can keep it disabled till add-on author releases an update that works with the newer anki versions.

can you try updating your add-on? cuz i just downloaded customize keyboard shortcuts add-on and it’s working fine on 2.1.29

1 Like

Wow, I was facing the exact same problem and after holding down the shift key while opening, the error message did not appear and I got a message which suggested I download an update for my add ons… All seems to work well again!

Not sure how it worked out though, I was going to downgrade to 2.1.26 but all is working fine now!

Thank you!